% prony_sparseFFT_iterative files
% -------------------------------
%
% m-Files:
%    build_signals_1d                        - creates 1d test signals
%    build_signals_symhc                     - creates nd test signals
%    complex_gaussian_noise                  - creates matrix with Gaussian
%                                              noise
%    coord_symhc                             - creates symmetric hyperbolic
%                                              cross index set
%    demo_test2_runtests                     - runs some tests from Example 5.2
%                                              from [1] (noiseless 1d case)
%    demo_test3_runtests                     - runs some tests from Example 5.3
%                                              from [1] (noiseless 1d case)
%    demo_test5_runtests                     - runs some tests from Example 5.5
%                                              from [1] (noisy 1d case)
%    demo_test7_runtests                     - runs some tests from Example 5.7
%                                              from [1] (multi-dimensional case)
%    lfft                                    - computes rank-1 lattice FFT
%    print_symhc_testr1l                     - utility function for
%                                              demo_test7_runtests
%    print_test1d                            - utility function for
%                                              demo_test2_runtests
%    prony_esprit_svd                        - Prony's method via ESPRIT
%    prony_music_svd                         - Prony's method via MUSIC
%    prony_sparsefft_iterative_algorithm     - iterative 1d sparse FFT algorithm
%    prony_sparsefft_iterative_r1l_algorithm - iterative 1d sparse FFT algorithm
%    test1d_run_singletest                   - utility function for
%                                              demo_test2_runtests
%    test1d_run_singletestset                - utility function for
%                                              demo_test2_runtests
%    test1d_run_testsets                     - utility function for
%                                              demo_test2_runtests
%    testr1l_symhc_run_singletest            - utility function for
%                                              demo_test7_runtests
%    testr1l_symhc_run_singletestset         - utility function for
%                                              demo_test7_runtests
%    testr1l_symhc_run_testsets              - utility function for
%                                              demo_test7_runtests
%    trig_poly_eval_gaussiannoise            - evaluates trigonometric
%                                              polynomial for given frequencies,
%                                              coefficients and nodes
%
% Reference:
% [1] D. Potts and M. Tasche and T. Volkmer.
%     Efficient spectral estimation by MUSIC and ESPRIT with application to
%     sparse FFT.
%     Front. Appl. Math. Stat. 2, 2016.
%
% Please call either the demos
%    demo_test2_runtests
% or
%    demo_test3_runtests
% or
%    demo_test5_runtests
% or
%    demo_test7_runtests
%
% The algorithm for the sparse FFT is the MATLAB function
%    prony_sparsefft_iterative_algorithm
% for the one-dimensional case and
%    prony_sparsefft_iterative_r1l_algorithm
% for the multi-dimensional case.
